Page MenuHomeFreeBSD

[sockbuf] Don't access fields directly, use accessor functions
ClosedPublic

Authored by davide on Feb 8 2015, 10:24 PM.

Details

Summary

Small step towards a saner sockbuf abstraction

Diff Detail

Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

davide updated this revision to Diff 3694.Feb 8 2015, 10:24 PM
davide updated this revision to Diff 3695.
davide retitled this revision from to [sockbuf] Don't access fields directly, use accessor functions.
davide updated this object.
davide edited the test plan for this revision. (Show Details)
davide added reviewers: kmacy, np, lstewart, rrs, rwatson.
davide set the repository for this revision to rS FreeBSD src repository.
davide added a subscriber: Unknown Object (MLST).
davide updated this revision to Diff 3698.Feb 9 2015, 12:04 AM

Updated removing the last place where this was used. I was not certain about it before so I previously left it as-is, but it looks like in this case order doesn't matter considering we're holding the socket buffer lock across the two calls.

emaste added a subscriber: emaste.Feb 9 2015, 1:53 AM

I plan to commit this in two days or such, so if there are objections, please raise them.

julian accepted this revision.Feb 11 2015, 8:01 AM
julian added a reviewer: julian.
This revision is now accepted and ready to land.Feb 11 2015, 8:01 AM
adrian accepted this revision.Feb 11 2015, 4:14 PM
adrian added a reviewer: adrian.
rwatson accepted this revision.Feb 12 2015, 8:50 PM
rwatson edited edge metadata.

Seems sensible.

davide closed this revision.Feb 14 2015, 8:01 PM

In HEAD now.